---
Name: "kube-lib/role"
Description: "Role of the machine in the Kubernetes cluster"
Documentation: |
  Role determines what is installed on a machine in the cluster.

  Defined roles are:

    * `control`: provides all the control functions (api & etcd)
    * `node` (default): worker functions (kubelet)

Schema:
  type: "string"
  default: "node"
  enum:
    - control
    - node
Meta:
  color: "blue"
  icon: "running"
  title: "DRP Content Copyright RackN 2022"
